Bug 196744 - Review Request: chess - 3D chess game
Review Request: chess - 3D chess game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wart
Fedora Package Reviews List
:
Depends On: 196710 196740
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-06-26 16:31 EDT by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-09 04:35:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-06-26 16:31:36 EDT
Spec URL: http://people.atrpms.net/~hdegoede/chess.spec
SRPM URL: http://people.atrpms.net/~hdegoede/chess-1.0-1.src.rpm
Description:
Beautifull 3D rendered chess game using Ogre. Notice that this needs a
powerful 3D card to be playable on a radeon 92xx or intel 9xx integrated
graphics this is not playable!
Comment 1 Rudolf Kastl 2006-06-28 07:41:46 EDT
what exactly is required? hw accelerated shaders?
Comment 2 Hans de Goede 2006-06-28 07:43:02 EDT
I don't know, something that my radeon 9250 and an intel 945 both lack.
Comment 3 Rudolf Kastl 2006-06-28 07:46:15 EDT
i will take a deeper look on the weekend. a 3d chess game is very nice to have
:) i also saw that you submitted ogre. i was also working on it with wart. but
your package is quite nice. i had a fix for the rpath problem (hack :) ) but the
other fix is indeed nice if it makes the chess game work. nice stuff!
Comment 4 Wart 2006-07-08 16:12:21 EDT
This ran fine for me on FC4-x86_64 with a NVidia 6800 and the binary NVidia
drivers.  Average of ~53 fps.

MUST
====
* Source matches upstream, with the noted exception that the
  copyrighted ttf file has been removed.
* Package and spec named appropriately
* GPL license ok, license file included
* .desktop file installed correctly
* icon cache updated properly
* RPM_BUILD_ROOT cleaned where it ought to be
* Owns directories that it creates
* Does not own directories that it should not
* Builds in mock on FC5-i386, FC5-x86_64
* No need for -devel or -doc subpackages
* No locales
* Not relocatable
* No duplicate %files

SHOULD
======
* Use 'convert -transparent black ...' to make the desktop icon background
  transparent.

APPROVED
Comment 5 Hans de Goede 2006-07-09 04:35:20 EDT
(In reply to comment #4)
> SHOULD
> ======
> * Use 'convert -transparent black ...' to make the desktop icon background
>   transparent.
> 

Good idea, but it cannnot be done (atleast not that way) I created (gimped) the
icon from a screen shot and that black is far from black, also its not one color
and it contains a reflection of the chess piece.

> APPROVED

Thanks a million for this and the other reviews!

Imported & build, closing.

Note You need to log in before you can comment on or make changes to this bug.